package com.xhkjedu.sexam.service.paper;

import com.xhkjedu.sexam.mapper.exam.ESubjectMapper;
import com.xhkjedu.sexam.mapper.paper.EPaperMapper;
import com.xhkjedu.sexam.model.paper.EPaper;
import com.xhkjedu.sexam.vo.exam.ESubjectVo;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;

/**
 * @Description
 * @Author WN
 * Date 2022/7/18 10:42
 **/
@Service
public class EPaperService {

    @Resource
    private EPaperMapper ePaperMapper;
    @Resource
    private ESubjectMapper eSubjectMapper;


    //考试各科目试卷设置
    public List<Map> listExamPapers(Integer examid) {
        return ePaperMapper.listExamPapers(examid);
    }

    //教师出卷列表
    public List<Map> listExamPapersByTeacherid(Integer teacherid){
        return ePaperMapper.listExamPapersByTeacherid(teacherid);
    }
}
